Revoke onboarding invite | Moov Documentation

Revoke onboarding invite

Revoke an onboarding invite, rendering the invitation link unusable.

To access this endpoint using an access token you'll need to specify the /accounts.write scope.

Endpoint

DELETE
/onboarding-invites/{code}

Request Example

Shell

curl -X DELETE "https://api.moov.io/onboarding-invites/{code}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.onboarding.revokeInvite({
    code: "N1IA5eWYNh",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->onboarding->revokeInvite(
    code: 'N1IA5eWYNh'
);

if ($response->statusCode === 200) {
    // handle response
}

Java

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.RevokeOnboardingInviteResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

RevokeOnboardingInviteResponse res = sdk.onboarding().revokeInvite()
                .code("N1IA5eWYNh")
                .call();

// handle response
    }
}

Python

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.onboarding.revoke_invite(code="N1IA5eWYNh")

# Handle response
    print(res)

Ruby

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.onboarding.revoke_invite(code: 'N1IA5eWYNh')

if res.status_code == 200
  # handle response
end

C#

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Onboarding.RevokeInviteAsync(code: "N1IA5eWYNh");

// handle response

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00